%define name	bash
%define version	3.1
%define release	%mkrel 7
%define i18ndate	20010626

%define build_dietlibc	0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The GNU Bourne Again shell (bash)
Group:		Shells
License:	GPL
URL:		http://www.gnu.org/software/bash/bash.html
Source0:	ftp://ftp.gnu.org/pub/gnu/bash/bash-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/bash/bash-doc-%{version}.tar.bz2

Source2:	dot-bashrc
Source3:	dot-bash_profile
Source4:	dot-bash_logout
Source5:	alias.sh


Patch1:         bash-2.02-security.patch.bz2
Patch3:         bash-2.03-profile.patch.bz2
Patch4:         bash-2.05b-readlinefixes.patch.bz2
Patch6:         bash-2.04-compat.patch.bz2
Patch9:         bash-2.05-s390x-unwind.patch.bz2

Patch13:        bash-2.05b-dietlibc.patch.bz2

Patch80:	bash-2.05b-builtins.patch.bz2
Patch90:	bash-2.05b-disable-nontrivial-matches.patch.bz2
#https://bugzilla.novell.com/attachment.cgi?id=67684
Patch100:	bash-3.1-extended_quote.patch.bz2

Patch101:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-001.bz2
Patch102:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-002.bz2
Patch103:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-003.bz2
Patch104:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-004.bz2
Patch105:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-005.bz2
Patch106:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-006.bz2
Patch107:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-007.bz2
Patch108:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-008.bz2
Patch109:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-009.bz2
Patch110:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-010.bz2
Patch111:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-011.bz2
Patch112:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-012.bz2
Patch113:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-013.bz2
Patch114:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-014.bz2
Patch115:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-015.bz2
Patch116:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-016.bz2
Patch117:	ftp://ftp.cwru.edu/pub/bash/bash-3.1-patches/bash31-017.bz2

Patch1000:	bash-strcoll-bug.diff.bz2
Patch1003:	bash-2.05b-checkwinsize.patch.bz2

%if %{build_dietlibc}
BuildRequires:	dietlibc >= 0.26-3mdk
%endif
BuildRequires:	autoconf2.5
BuildRequires:	bison
BuildRequires:	libtermcap-devel
BuildRequires:	texinfo
Conflicts:	etcskel <= 1.63-11mdk
Conflicts:	fileutils < 4.1-5mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes: 	bash3
Provides:	bash3

%description
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and 
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

Bash is the default shell for Mandriva Linux. You should install
bash because of its popularity and power. You'll probably end up
using it.

%package doc
Group:		Books/Computer books
Summary:	Documentation for the GNU Bourne Again shell (bash)
Requires:	bash = %{version}
Obsoletes:	bash3-doc
Provides:	bash3-doc

%description doc
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and 
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

Bash is the default shell for Mandriva Linux. You should install
bash because of its popularity and power. You'll probably end up
using it.

This package include doc guid examples and manual for zsh.

%prep
%setup -q -n bash-%{version} -a 1
mv doc/README .

%patch1 -p1 -b .security
%patch3 -p1 -b .profile

# 20060126 warly obsolete exept maybe for the replacement of @ by kH, this will have to be checked
#%patch4 -p1 -b .readline
%patch6 -p1 -b .compat
%ifarch s390x
%patch9 -p1 -b .s390x
%endif

%patch13 -p1 -b .dietlibc

%patch101 -p0 -b .pl001
%patch102 -p0 -b .pl002
%patch103 -p0 -b .pl003
%patch104 -p0 -b .pl004
%patch105 -p0 -b .pl005
%patch106 -p0 -b .pl006
%patch107 -p0 -b .pl007
%patch108 -p0 -b .pl008
%patch109 -p0 -b .pl009
%patch110 -p0 -b .pl010
%patch111 -p0 -b .pl011
%patch112 -p0 -b .pl012
%patch113 -p0 -b .pl013
%patch114 -p0 -b .pl014
%patch115 -p0 -b .pl015
%patch116 -p0 -b .pl016
%patch117 -p0 -b .pl017

%patch80 -p0 -b .fix_so

%patch90 -p0

%patch1000 -p1 -b .strcoll_bugx
%patch1003 -p1 -b .checkwinsize

%patch100 -p0 -b .quote

echo %{version} > _distribution
echo %{release} > _patchlevel
perl -p -i -e s/mdk// _patchlevel

# needed by patch13
autoconf

%build
libtoolize --copy --force

# build statically linked bash with dietlibc
%if %{build_dietlibc}
# TODO: --enable-minimal-config?
mkdir bash-static
pushd bash-static
export CFLAGS="$RPM_OPT_FLAGS -Os"
export CONFIGURE_TOP=".."
%configure2_5x \
    --disable-command-timing \
    --enable-dietlibc
#    --enable-separate-helpfiles \
#    --disable-nls
#    --enable-minimal-config \
%make
popd
%endif

# build dynamically linked bash
mkdir bash-dynamic
pushd bash-dynamic
export CFLAGS="$RPM_OPT_FLAGS"
export CONFIGURE_TOP=".."
%configure2_5x \
    --disable-command-timing
%make CFLAGS="$RPM_OPT_FLAGS"
# all tests must pass
make check
popd

%install
rm -rf %{buildroot}

%makeinstall -C bash-dynamic

# beurk
rm -rf %{buildroot}%{_datadir}/locale/en@boldquot/ %{buildroot}%{_datadir}/locale/en@quot/

#Sucks
chmod +w doc/texinfo.tex
chmod 755 examples/misc/aliasconv.*
chmod 755 examples/misc/cshtobash
chmod 755 %{buildroot}%{_bindir}/bashbug

# Take out irritating ^H's from the documentation
mkdir tmp_doc
for i in `/bin/ls doc/` ; \
	do cat doc/$i > tmp_doc/$i ; \
	cat tmp_doc/$i | perl -p -e 's/.//g' > doc/$i ; \
	rm tmp_doc/$i ; \
	done
rmdir tmp_doc

mkdir -p %{buildroot}/bin
pushd %{buildroot} && mv usr/bin/bash bin/bash && popd
pushd %{buildroot}/bin && ln -s bash sh && popd
pushd %{buildroot}/bin && ln -sf bash bash3 && popd

%if %{build_dietlibc}
install -m0755 bash-static/bash %{buildroot}/bin/bash-diet
%endif

# make manpages for bash builtins as per suggestion in DOC/README
cd doc
sed -e '
/^\.SH NAME/, /\\- bash built-in commands, see \\fBbash\\fR(1)$/{
/^\.SH NAME/d
s/^bash, //
s/\\- bash built-in commands, see \\fBbash\\fR(1)$//
s/,//g
b
}
d
' builtins.1 > man.pages
install -m 644 builtins.1 %{buildroot}%{_mandir}/man1/builtins.1

install -m 644 rbash.1 %{buildroot}%{_mandir}/man1/rbash.1

for i in `cat man.pages` ; do
  echo .so man1/builtins.1 > %{buildroot}%{_mandir}/man1/$i.1
done

# now turn man.pages into a filelist for the man subpackage

cat man.pages |tr -s ' ' '\n' |sed '
1i\
%defattr(0644,root,root,0755)
s:^:%{_mandir}/man1/:
s/$/.1.bz2/
' > ../man.pages

perl -p -i -e 's!.*/(printf|export|echo|pwd|test|kill).1.bz2!!' ../man.pages

mkdir -p %buildroot%{_sysconfdir}/skel
mkdir -p %buildroot%{_sysconfdir}/profile.d
install -m 644 %{SOURCE2} %buildroot%{_sysconfdir}/skel/.bashrc
install -m 644 %{SOURCE3} %buildroot%{_sysconfdir}/skel/.bash_profile
install -m 644 %{SOURCE4} %buildroot%{_sysconfdir}/skel/.bash_logout
install -m 755 %{SOURCE5} %buildroot%{_sysconfdir}/profile.d/alias.sh

ln -s bash %buildroot/bin/rbash

# These're provided by other packages
rm -f %buildroot{%_infodir/dir,%_mandir/man1/{echo,export,kill,printf,pwd,test}.1}

cd ..

install -m 644 bash-dynamic/doc/bash.info %buildroot%{_infodir}/

%clean
rm -rf %{buildroot}

%files -f man.pages
%defattr(-,root,root)
%doc README CHANGES
%config(noreplace) %{_sysconfdir}/skel/.b*
%{_sysconfdir}/profile.d/alias.sh
/bin/rbash
/bin/bash
/bin/bash3
%if %{build_dietlibc}
/bin/bash-diet
%endif
/bin/sh
%{_infodir}/bash.info*
%{_mandir}/man1/bash.1*
%{_mandir}/man1/rbash.1*
%{_mandir}/man1/builtins.1*
%{_mandir}/man1/bashbug.1*
%{_bindir}/bashbug

%files doc
%defattr(-,root,root)
%doc COMPAT NEWS NOTES POSIX
%doc examples/bashdb/ examples/functions/ examples/misc/
%doc examples/scripts.noah/ examples/scripts.v2/ examples/scripts/
%doc examples/startup-files/
%doc doc/*.ps doc/*.0 doc/*.html doc/article.txt

%changelog
* Thu Aug 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-7mdv2007.0
- initialize keychain if needed in default .bash_profile (fix #12750)

* Wed Aug 23 2006 Gaetan Lehmann <glehmann@mandriva.org> 3.1-6mdv2007.0
- colored grep alias

* Tue Aug 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1-5
- rebuild to fix changelog

* Mon May 22 2006 Warly <warly@mandriva.com> 3.1-%mkrel 3
- add extra bash patches up to patch017

* Thu May 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1-3mdk
- make aliash.sh Bourne-complient (from Claudio, fixes #16188)

* Mon Feb 13 2006 Warly <warly@mandriva.com> 3.1-2mdk
- add patch 3.1-006 and 3.1-007
- add extended quote fix from novell (thanks Arnaud)

* Mon Jan 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-1mdk
- new version
- drop unused patches
- drop old patches 50 to 65, merged upstream
- add new 3.1 branch patches (64-68)

* Mon Jun 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-6mdk 
- don't source bash-completion from .bashrc, it is useless now
- shellbang in %{_sysconfdir}/profile.d/alias.sh
- %{_sysconfdir}/profile.d/alias.sh is not a config file
- spec cleanup

* Fri May 27 2005 Pixel <pixel@mandriva.com> 3.0-5mdk
- don't use CLASS from /etc/sysconfig/system which is deprecated

* Fri Apr 22 2005 G?tz Waschk <waschk@mandriva.org> 3.0-4mdk
- fix doc file generation
- fix rpm changelog

* Fri Apr 22 2005 G?tz Waschk <waschk@mandriva.org> 3.0-3mdk
- use the new name
- make spec short-circuit^{TM} compiant
- fix buildrequires
- don't set LESSOPEN in alias.sh, it's now in less.sh

* Fri Jan 07 2005 Warly <warly@mandrakesoft.com> 3.0-2mdk
- reinclude builtins man pages
- bash-doc obsoletes bash3-doc

* Thu Jan  6 2005 Warly <warly@mandrakesoft.com> 3.0-1mdk
- new version

* Fri Dec 31 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.05b-25mdk
- run testsuite, all tests shall pass
- really check for WCONTINUED support in waitpid() calls

* Thu Dec 30 2004 Stefan van der Eijk <stefan@mandrake.org> 2.05b-24mdk
- BuildRequires byacc --> bison
- fix Summary (rpmlint)

* Sat Nov 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.05b-23mdk
- fix the diet stuff

* Thu Aug 26 2004 Robert Vojta <robert.vojta@mandrake.org> 2.05b-22mdk
- do not waste resources with DIR_COLORS if ~/.dir_colors exists (#10945)

* Wed Aug 25 2004 Robert Vojta <robert.vojta@mandrake.org> 2.05b-21mdk
- look at the user defined colors too - ~/.dir_colors too (#10945)

* Thu Aug 19 2004 J?r?mie Lenfant-Engelmann <jlenfant@mandrakesoft.com> 2.05b-20mdk
- Patch1003: fix a bug with checkwinsize

* Thu Jul 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.05b-19mdk
- Patch12: fix builds with --enable-minimal-config
- Patch13: make it possible to build with dietlibc

* Fri Jul 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.05b-18mdk 
- fix use of the M.. word in description for doc package too
- fix perms
- no distinct URL for doc

* Thu Jul 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.05b-17mdk 
- enable bash-completion support from user .bashrc
- fix build with new gcc
- fix use of the M.. word in description
- spec cleanup
- removed unapplied patches

* Mon Jan  5 2004 Warly <warly@mandrakesoft.com> 2.05b-16mdk
- I suck, life sux, this new year sux

* Mon Jan  5 2004 Warly <warly@mandrakesoft.com> 2.05b-15mdk
- add rbash man page.

* Mon Jul  7 2003 Warly <warly@mandrakesoft.com> 2.05b-14mdk
- really apply the patches (I sux)

* Mon Jul  7 2003 Warly <warly@mandrakesoft.com> 2.05b-13mdk
- add new patches

* Tue Jan 14 2003 Warly <warly@mandrakesoft.com> 2.05b-12mdk
- fix stupid typo

* Tue Jan 14 2003 Warly <warly@mandrakesoft.com> 2.05b-12dk
- ll is ls -l, not ls -l -k

* Sun Jan  5 2003 Stefan van der Eijk <stefan@eijk.nu> 2.05b-11mdk
- File CWRU/POSIX.NOTES was moved, added to %doc (thanks Charles)

* Sun Jan  5 2003 Stefan van der Eijk <stefan@eijk.nu> 2.05b-10mdk
- Remove CWRU/POSIX.NOTES from %%doc (file not found)

* Fri Nov 15 2002 Warly <warly@mandrakesoft.com> 2.05b-9mdk
- add new 2.05b patches

* Fri Nov 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.05b-8mdk
- fix build for new rpm

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.05b-7mdk
- fix bash-doc group
- alter a regexp to please vim spec mode

* Sat Aug 10 2002 Stefan van der Eijk <stefan@eijk.nu> 2.05b-6mdk
- BuildRequires

* Mon Aug 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.05b-5mdk
- fix command completion [P1002]

* Mon Aug 05 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.05b-4mdk
- fix segfault (readline patch was stolen) [P1001]

* Fri Jul 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.05b-2mdk
- gcc-3.2 rebuild
- rebuild with incore readline since applying the link patch to main readline
  may have strange side effects on other readline users

* Tue Jul 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.05b-2mdk
- rebuild with system readline lib

* Fri Jul 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.05b-1mdk
- new release
- drop arm patch
- rediff readline patch (well copied the one i just did on readline)
- rediff ia64 patch
- rediff patches 80, 81, 90

* Tue Jun 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.05a-5mdk
- Libtoolize to get updated config.{sub,guess}

* Sat Jun  1 2002 Stefan van der Eijk <stefan@eijk.nu> 2.05a-4mdk
- BuildRequires

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.05a-3mdk
- Automated rebuild in gcc3.1 environment

* Sun Mar 31 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.05a-2mdk
- disable stupid nontrivial matches (it prevented '/' from being appended
  to symlink-to-directory's)

* Thu Mar 28 2002 Warly <warly@mandrakesoft.com> 2.05a-1mdk
- new version

* Mon Feb 25 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-16mdk
- Remove DrakWM option (unused).

* Mon Nov 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-15mdk
- Add URL.
- Fix build with new makeinstall.

* Mon Oct 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-14mdk
- Fix rpmlint on spec file.

* Wed Oct 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.05-13mdk
- fix builtins man page

* Wed Oct 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-12mdk
- Move color_ls.sh from fileutils to alias.sh.

* Mon Oct 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.05-11mdk
- s!Linux Mandrake!Mandrake Linux!g

* Mon Sep 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-10mdk
- Make bash-doc requires bash (#5098).

* Sat Sep 15 2001 Pixel <pixel@mandrakesoft.com> 2.05-9mdk
- put back the alias cp="cp -i"

* Mon Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 2.05-8mdk
- Remove cp to allow use of "cp -f"

* Thu Sep  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-7mdk
- Fix la and ll alias (#4744).

* Thu Aug  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-6mdk
- Don't link with libreadline to fix echo -n bugs (#4086).
- Merge with rh patches.

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-5mdk
- Add rbash link (flepied/charles).

* Mon May 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-4mdk
- Remove ~/.bash_alias from skel, readd the /etc/profile.d/alias.sh
  and add this semantic for loading :
	If exist a ~/.alias and the user hasn't specified a
	LOAD_SYSTEM_ALIAS variables then don't do any system aliases
	If there is no ~/.alias but the user has specified a
	IGNORE_SYSTEM_ALIASES then don't do any system aliases.

* Tue May 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-3mdk
- Add all /etc/skel/.bash* here and make ~/.bash_alias instead of
  /etc/profile.d/alias.
- Merge with rh patches.

* Tue May 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.05-2mdk
- Re-enable i18n patch.

* Mon Apr 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.05-1mdk
- 2.05 (disable i18n patch until i18n people come with an updated patch).

* Thu Mar 29 2001 Pixel <pixel@mandrakesoft.com> 2.04-18mdk
- re-add common mdk aliases
- fix bash_alias testing $CLASS = newbie, it should be beginner

* Sat Mar 03 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-17mdk
- Make sure to load /etc/profile all the time (CLE guy you have to find an
  workaround but don't disable feature).

* Mon Jan 15 2001 Geoffrey Lee <snailtalk@mandrkaesoft.com> 2.04-16mdk
- don't load /etc/profile all the time (Andrew Lee andrew@cle.linux.org.tw).

* Thu Dec 28 2000 Andrew Lee <andrew@linux.org.tw> 2.04-15mdk
- add i18n patch

* Tue Dec 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-14mdk
- Install as root.root the manpages.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-13mdk
- Merge rh patch :
		- Fix ia64 build.
		- Fix compilation on older glibc-2.1.
- Put some files as noreplace.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.04-12mdk
- automatically added BuildRequires

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.04-11mdk
- BM

* Tue Jul 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-10mdk
- When we are in user newbie provide some wm alias like icewm => launch X
  and icewm (based on DrakWM parsing).

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.04-9mdk
- spec stephanazition (aka makeinstall cleaning :-) )
- use new macros

* Thu Jun 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.04-8mdk
- removed Prereq.

* Wed Jun 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-7mdk
- Don't do something to /etc/shells since /bin/sh should be always
  here, and clean-up the %post.

* Fri Jun  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.04-6mdk
- oops doesn't work with sash. Use Prereq instead.

* Fri Jun  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.04-5mdk
- make the %post and %postun use sash.

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-4mdk
- Fix alpha and unwind protect acess (debian).

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-3mdk
- Add ln bash2 to bash for rh compat.

* Fri Mar 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-2mdk
- Make bash link reative to sh.

* Wed Mar 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.04-1mdk
- Fix group for bash-doc.
- 2.04.

* Tue Mar 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.03-21mdk
- Fix build with spec-help.
- Upgrade groups.
- Spec clean-up.

* Thu Jan 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed strcoll bug

* Mon Dec 27 1999 Pixel <pixel@mandrakesoft.com>
- added alias df in alias.sh

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 2.03-18mdk

- /etc/bashrc calls /etc/profile.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove ^chars from doc.
- Rewrote specs.

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove the alias to ls colors in bash_alias (doble with fileutils scripts).

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix wrong group in doc package.
- Increase version ;).

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix wrong man links (#20).

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
    - Ken Estes <kestes@staff.mail.com>
      - patch to detect what executables are required by a script.

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove 'DarkTiti' hack.

* Fri Jul 16 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Make the `echo' builtin expand backslash-escaped characters by default,
  without requiring the `-e' option.  This makes the Bash `echo' behave
  more like the System V version.

* Tue Jul 9 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- french description

* Tue Jul 8 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- compiled against local libreadline (which is not compiled in now)
  => reduce the size of bash by 42%.
  Moreover, a part of its memory is shared with other readline programs (bc, ...)
- disable built-in time command (incompatible with standard POSIX time command)

* Tue May 25 1999 Bernhard Rosenkr?nzer <bero@mandrakesoft.com>
- handle RPM_OPT_FLAGS

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- alias.sh fix with the new syntax of bash2.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixing many stupid forget :-((

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Relifting of the doc-section.
- Moving the alias to a new files.

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- handle RPM_OPT_FLAGS
- add de locale
- add some aliases (ls=ls --color, md, rd, cd..) to bashrc
- fix download URLs
- make it compile if the release number contains non-digits
- We're NOT a %{arch}-redhat-linux

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 2.03.

* Fri Feb 12 1999 Cristian Gafton <gafton@redhat.com>
- build it as bash2 instead of bash

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- set 'NON_INTERACTIVE_LOGIN_SHELLS' so profile gets read

* Thu Jan 14 1999 Jeff Johnson <jbj@redhat.com>
- rename man pages in bash-doc to avoid packaging conflicts (#606).

* Wed Dec 02 1998 Cristian Gafton <gafton@redhat.com>
- patch for the arm
- use $RPM_ARCH-redhat-linux as the build target

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- rewrite %pre, axe %postun (to avoid prereq loops)

* Wed Aug 19 1998 Jeff Johnson <jbj@redhat.com>
- resurrect for RH 6.0.

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.02.1

* Thu Jun 11 1998 Jeff Johnson <jbj@redhat.com>
- Package for 5.2.

* Mon Apr 20 1998 Ian Macdonald <ianmacd@xs4all.nl>
- added POSIX.NOTES doc file
- some extraneous doc files removed
- minor .spec file changes

* Sun Apr 19 1998 Ian Macdonald <ianmacd@xs4all.nl>
- upgraded to version 2.02
- Alpha, MIPS & Sparc patches removed due to lack of test platforms
- glibc & signal patches no longer required
- added documentation subpackage (doc)

* Fri Nov 07 1997 Donnie Barnes <djb@redhat.com>
- added signal handling patch from Dean Gaudet <dgaudet@arctic.org> that
  is based on a change made in bash 2.0.  Should fix some early exit
  problems with suspends and fg.

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- added %clean

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- added comment explaining why install-info isn't used
- added mips patch 

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc
